# Exchanges

## Available exchanges

## Returns the list of exchanges available.

<mark style="color:blue;">`GET`</mark> `api/exchanges`

EX: GET /api/exchanges

{% tabs %}
{% tab title="200: OK Returns the list of exchanges available." %}

```json
[
    {
        "EXCHANGE":"Binance"
    },
    {
        "EXCHANGE":"CoinBasePro"
    },
    {
        "EXCHANGE":"Kraken"
    },
    {
        "EXCHANGE":"Yadio"
    }
]
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}
{% endtabs %}

## Available pairs from exchange

## Returns the list of trading pairs available on a specific exchange

<mark style="color:blue;">`GET`</mark> `api/exchanges/{Exchange}/pairs`

EX: GET api/exchanges/CoinBasePro/pairs

#### Query Parameters

| Name                                       | Type   | Description       |
| ------------------------------------------ | ------ | ----------------- |
| Exchange<mark style="color:red;">\*</mark> | String | Exchange to check |

{% tabs %}
{% tab title="200: OK Json objet with the list of trading pairs" %}

```json
[
    {
        "PAIR":"BTC_EUR"
    },
    {
        "PAIR":"BTC_GBP"
    },
    {
        "PAIR":"BTC_USD"
    },
    {
        "PAIR":"BTC_USDT"
    }
]
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}
{% endtabs %}

## All prices pairs of a specific exchange

## Returns the prices of all trading pairs available on a specific exchange

<mark style="color:blue;">`GET`</mark> `/api/exchanges/{Exchange}/prices`

EX: GET api/exchanges/CoinBasePro/prices

#### Query Parameters

| Name                                       | Type   | Description       |
| ------------------------------------------ | ------ | ----------------- |
| Exchange<mark style="color:red;">\*</mark> | String | Exchange to check |

{% tabs %}
{% tab title="200: OK Json objet with the list of trading pairs" %}

```json
[
    {
        "EXCHANGE":"CoinBasePro",
        "PAIR":"BTC_USD",
        "PRICE":"29,910.72",
        "TIMESTAMP":1691588118.146463
    },
    {
        "EXCHANGE":"CoinBasePro",
        "PAIR":"BTC_EUR",
        "PRICE":"27,222.00",
        "TIMESTAMP":1691588131.788037
    }
]
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}
{% endtabs %}

## Single pair from specific trading pair on a exchange

## Returns the price of a specific trading pair on a specific exchange,

<mark style="color:blue;">`GET`</mark> `/api/exchanges/{Exchange}/pairs/{pair}`

EX: GET api/exchanges/CoinBasePro/pairs/BTC\_USD

#### Query Parameters

| Name                                       | Type   | Description       |
| ------------------------------------------ | ------ | ----------------- |
| Exchange<mark style="color:red;">\*</mark> | String | Exchange to check |
| pair<mark style="color:red;">\*</mark>     | String | Pair to check     |

{% tabs %}
{% tab title="200: OK Json objet with the list of trading pair" %}

```json
[
    {
        "EXCHANGE":"CoinBasePro",
        "PAIR":"BTC_USD",
        "PRICE":"29,910.72",
        "TIMESTAMP":1691588118.146463
    }
]
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://scrapcoinpro.gitbook.io/scrapcoin/reference/api-reference/exchanges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
